TokyoTyrant::putKeep
TokyoTyrant::putShl
TokyoTyrant
PHP Manual

# TokyoTyrant::putNr

Puts value

### Description

public TokyoTyrant TokyoTyrant::putNr ( mixed `$keys` [, string `$value` = NULL ] )

Puts a key-value pair into the database or multiple key-value pairs. If `keys` is string then the second parameter value defines the value. The second parameter is mandatory if `keys` is a string. This method does not wait for the response from the server.

### Parameters

`keys`

  A string key or an array of key-value pairs

`value`

  The value in case a string key is used

### Return Values

This method returns a reference to the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::putNr example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Put single key-value pair */
$tt->putNr("key", "value");
/* Put key-value pairs */
$tt->putNr(array("key1" => "value1", "key2" => "value2"));
/* Get back one key */
echo $tt->get("key1");
?>`

The above example will output:

    value1

### See Also

- TokyoTyrant::putNr
- TokyoTyrant::putKeep
- TokyoTyrant::putCat